Supported browser versions

If you have a display problem with the site, please check if your browser version is up-to-date.

Recommended minimum browser versions: Google Chrome 11, Firefox 4, Safari 5, Internet Explorer 8 (IE 10 required for drag and drop of files from outside the browser into Moodle)

Last modified: Friday, 16 August 2013, 12:43 PM